﻿using UnityEngine;
using System.Collections;

public class Point : MonoBehaviour {
    private Rigidbody2D rbP;
    public GameObject sPoint;
    public bool repeatSpawn;
    public float speedP;
    public Transform[] pos;
    private float posPoint;
    

	// Use this for initialization
	void Start () {

        rbP = GetComponent<Rigidbody2D>();
        if (repeatSpawn == true)
        {
            StartCoroutine(FSpawn());
        }
	}
	
	// Update is called once per frame
	void Update () {
        rbP.velocity = new Vector2(rbP.velocity.x, -speedP);
	}

    void OnTriggerEnter2D(Collider2D col)
    {
        switch (col.tag)
        {
            case "Player":
                Destroy(this.gameObject, 0);
                break;
            case "Colector":
                Destroy(this.gameObject, 0);
                break;
            case "Wall":
                Destroy(this.gameObject, 0);
                break;
        }
        
    }

    IEnumerator FSpawn() {
        yield return new WaitForSeconds(0.5f);
        posPoint=Random.Range(0, 90);
        if (posPoint > 60)
        {
            GameObject tempPrefab = Instantiate(sPoint) as GameObject;
            tempPrefab.transform.position = new Vector3(pos[0].transform.position.x, pos[0].transform.position.y, sPoint.transform.position.z);
        }
        else if (posPoint > 30) 
        {
            GameObject tempPrefab = Instantiate(sPoint) as GameObject;
            tempPrefab.transform.position = new Vector3(pos[1].transform.position.x, pos[1].transform.position.y, sPoint.transform.position.z);
        }
        else
        {
            GameObject tempPrefab = Instantiate(sPoint) as GameObject;
            tempPrefab.transform.position = new Vector3(pos[2].transform.position.x, pos[2].transform.position.y, sPoint.transform.position.z);
        }
 }



}
