﻿using UnityEngine;
using System.Collections;
public enum soundGame
{
    AUDIO1,
    AUDIO2,
    AUDIO3,
    AUDIO4,
    AUDIO5,
    AUDIO6,
    AUDIO7,
    JUMPM,
    JUMPK,
    DEATHSONG
}
public class SoundController : MonoBehaviour {
    public AudioClip Audio1;
    public AudioClip Audio2;
    public AudioClip Audio3;
    public AudioClip Audio4;
    public AudioClip Audio5;
    public AudioClip Audio6;
    public AudioClip Audio7;
    public AudioClip JumpM;
    public AudioClip JumpK;
    public AudioClip DeathSong;
    public AudioSource AudioF;
    public static SoundController instance;
    // Use this for initialization
    void Start () {
        instance = this;
    }
	
	// Update is called once per frame
	void Update () {
	
	}

    public static void playSound(soundGame currentSound)
    {

        switch (currentSound)
        {
            case soundGame.AUDIO1:
                instance.AudioF.PlayOneShot(instance.Audio1);
                break;
            case soundGame.AUDIO2:
                instance.AudioF.PlayOneShot(instance.Audio2);
                break;
            case soundGame.AUDIO3:
                instance.AudioF.PlayOneShot(instance.Audio3);
                break;
            case soundGame.AUDIO4:
                instance.AudioF.PlayOneShot(instance.Audio4);
                break;
            case soundGame.AUDIO5:
                instance.AudioF.PlayOneShot(instance.Audio5);
                break;
            case soundGame.AUDIO6:
                instance.AudioF.PlayOneShot(instance.Audio6);
                break;
            case soundGame.AUDIO7:
                instance.AudioF.PlayOneShot(instance.Audio7);
                break;
            case soundGame.JUMPM:
                instance.AudioF.PlayOneShot(instance.JumpM);
                break;
            case soundGame.JUMPK:
                instance.AudioF.PlayOneShot(instance.JumpK);
                break;
            case soundGame.DEATHSONG:
                instance.AudioF.PlayOneShot(instance.DeathSong);
                break;
        }
    }
}
