﻿using UnityEngine;
using System.Collections;
using UnityEngine.SceneManagement;

public enum soundGameOver
{
    AUDIO1,
    AUDIO2,
    AUDIO3,
    AUDIO4,
    AUDIO5,
    AUDIO6
}

public class GameOver : MonoBehaviour {

    public AudioClip Audio1;
    public AudioClip Audio2;
    public AudioClip Audio3;
    public AudioClip Audio4;
    public AudioClip Audio5;
    public AudioClip Audio6;
    public AudioSource Audio;
    public static GameOver instance;

    public float waitTime;
    public bool play;
	// Use this for initialization
	void Start () {
        StartCoroutine(playAgain());
	}
	
	// Update is called once per frame
	void Update () {
        if (play)
        {
            if (Input.anyKeyDown)
            {
                SceneManager.LoadScene("Fase1");
            }
        }
	}

    IEnumerator playAgain()
    {
        yield return new WaitForSeconds(waitTime);
        play = true;
    }



    public static void playSound(soundGameOver currentSound)
    {

        switch (currentSound)
        {
            case soundGameOver.AUDIO1:
                instance.Audio.PlayOneShot(instance.Audio1);
                break;
            case soundGameOver.AUDIO2:
                instance.Audio.PlayOneShot(instance.Audio2);
                break;
            case soundGameOver.AUDIO3:
                instance.Audio.PlayOneShot(instance.Audio3);
                break;
            case soundGameOver.AUDIO4:
                instance.Audio.PlayOneShot(instance.Audio4);
                break;
            case soundGameOver.AUDIO5:
                instance.Audio.PlayOneShot(instance.Audio5);
                break;
            case soundGameOver.AUDIO6:
                instance.Audio.PlayOneShot(instance.Audio6);
                break;
        }
    }



}
