﻿using UnityEngine;
using System.Collections;
using UnityEngine.SceneManagement;

public enum soundGameMenu{
    AUDIO1,
    AUDIO2,
    AUDIO3,
    AUDIO4,
    AUDIO5,
    AUDIO6,
    AUDIO7
}

public class Loading : MonoBehaviour
{

    public AudioClip Audio1;
    public AudioClip Audio2;
    public AudioClip Audio3;
    public AudioClip Audio4;
    public AudioClip Audio5;
    public AudioClip Audio6;
    public AudioClip Audio7;
    public AudioSource Audio;
    public static Loading instance;
    public bool go;
    public bool d;
    public float animN;
    public Animator menuA;
    // Use this for initialization
    void Start()
    {
        go = false;
        d = false;
        Audio.clip = Audio6;
        Audio.Play();
        StartCoroutine(begin());
        instance = this;
        animN = 0;
        
    }

    // Update is called once per frame
    void Update()
    {
        if (Input.anyKeyDown && go)
        {
            SceneManager.LoadScene("Fase1");
        }
        menuA.SetBool("d", d);
        menuA.SetBool("go", go);
    }

    IEnumerator begin()
    {

        d = true;
        d = true;
        yield return new WaitForSeconds(0.4f);
        animN = 0;
        yield return new WaitForSeconds(1.425f);
        animN = 1;
        go = true;
        yield return new WaitForSeconds(2.675f);
        StartCoroutine(loopSong());
    }
    
    IEnumerator loopSong() {
        Audio.clip = Audio7;
        Audio.Play();
        yield return new WaitForSeconds(7.2f);
        Start();

    }

    public static void playSound(soundGameMenu currentSound)
    {

        switch (currentSound)
        {
            case soundGameMenu.AUDIO1:
                instance.Audio.PlayOneShot(instance.Audio1);
                break;
            case soundGameMenu.AUDIO2:
                instance.Audio.PlayOneShot(instance.Audio2);
                break;
            case soundGameMenu.AUDIO3:
                instance.Audio.PlayOneShot(instance.Audio3);
                break;
            case soundGameMenu.AUDIO4:
                instance.Audio.PlayOneShot(instance.Audio4);
                break;
            case soundGameMenu.AUDIO5:
                instance.Audio.PlayOneShot(instance.Audio5);
                break;
            case soundGameMenu.AUDIO6:
                instance.Audio.PlayOneShot(instance.Audio6);
                break;
            case soundGameMenu.AUDIO7:
                instance.Audio.PlayOneShot(instance.Audio7);
                break;
        }
    }
}
